package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsDeviceRelation;
import com.sckw.slope.detection.model.vo.IntegrationItemVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
@DS("mysql")
public interface KwsDeviceRelationMapper extends BaseMapper<KwsDeviceRelation> {
    int deleteByPrimaryKey(Long id);

    int insertSelective(KwsDeviceRelation record);

    KwsDeviceRelation selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsDeviceRelation record);

    int updateByPrimaryKey(KwsDeviceRelation record);


}